Name: qhull
Version: 8.0.2
Release: 1
License: Qhull
Summary: A general dimension code for computing hulls and diagrams
Url: http://www.qhull.org/


BuildRequires: cmake


Source0: https://github.com/qhull/qhull/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz


%description
Qhull is a general dimension code for computing convex hulls, 
Delaunay triangulations, halfspace intersections about a point, 
Voronoi diagrams, furthest-site Delaunay triangulations, and furthest-site 
Voronoi diagrams. These structures have applications in science, engineering, 
statistics, and mathematics. 

%package -n libqhull8
Summary: Qhull libraries. 

%description -n libqhull8
Qhull is a general dimension code for computing convex hulls, 
Delaunay triangulations, halfspace intersections about a point, 
Voronoi diagrams, furthest-site Delaunay triangulations, and furthest-site 
Voronoi diagrams. These structures have applications in science, engineering, 
statistics, and mathematics. 	


%package devel
Summary: qhull development files

Requires: libqhull8 = %{version}-%{release}

%description devel
qhull development files

%package tools
Summary: qhull tools

Requires: libqhull8 = %{version}-%{release}

%description tools
qhull tools

%prep
%setup -q


%build
cmake -Bbuild-cmake -DCMAKE_INSTALL_PREFIX=%{_prefix}

cmake --build build-cmake -- %{?_smp_mflags}

%install
cd build-cmake
%make_install
#find /

%files -n libqhull8
%defattr(-, qsys, *none)

%{_libdir}/libqhull_r.so.8.0
%license %{_docdir}/qhull/COPYING.txt

%files tools
%defattr(-, qsys, *none)

%{_bindir}/qhull
%{_bindir}/qconvex
%{_bindir}/qdelaunay
%{_bindir}/qhalf
%{_bindir}/qvoronoi
%{_bindir}/rbox
%{_mandir}/man1/qhull.1*
%{_mandir}/man1/rbox.1*

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libqhull_r.so
%{_includedir}/libqhull
%{_includedir}/libqhull_r
%{_includedir}/libqhullcpp
%{_docdir}/qhull
%{_libdir}/libqhullcpp.a
%{_libdir}/libqhullstatic.a
%{_libdir}/libqhullstatic_r.a
%{_libdir}/pkgconfig/qhullstatic.pc
%{_libdir}/pkgconfig/qhullstatic_r.pc
%{_libdir}/pkgconfig/qhull_r.pc
%{_libdir}/pkgconfig/qhullcpp.pc
%{_libdir}/cmake/Qhull


%changelog
* Fri Aug 19 2022 Gavin Zhang <zhanggan@cn.ibm.com> - 8.0.2
- Initial package release
